<style>
              /* love tables hey, let’s make it look awesome anyway! 😄 */
  table {
    width: 100%;
    border-collapse: collapse;
    margin: 1rem 0;
    font-family: Arial, sans-serif;
    font-size: 14px;
    background-color: #fff;
    border: 1px solid #ddd;
  }

  th, td {
    padding: 12px;
    text-align: left;
    border: 1px solid #ddd;
  }

  th {
    background-color: #2A121F;
    color: #fff;
  }

  tr:nth-child(even) {
    background-color: #f9f9f9;
  }

  tr:hover {
    background-color: #f1f1f1;
  }

  /* Status Colors */
  .slow {
    background-color: #fff8b3; /* soft yellow */
  }

  .veryslow {
    background-color: #ffcc99; /* soft orange */
  }

  .error {
    background-color: #f7a6a6; /* soft red/orange */
  }

  .good {
    background-color: #c3f7c8; /* soft green */
  }

  /* Responsive */
  @media (max-width: 768px) {
    table, thead, tbody, th, td, tr {
      display: block;
    }

    thead {
      display: none;
    }

    tr {
      margin-bottom: 1rem;
      border-bottom: 2px solid #ccc;
    }

    td {
      padding-left: 50%;
      position: relative;
    }

    td::before {
      content: attr(data-label);
      position: absolute;
      left: 0;
      width: 50%;
      padding-left: 10px;
      font-weight: bold;
      white-space: nowrap;
    }
  }

  h2 {
    font-family: Arial, sans-serif;
    color: #2A121F;
    margin-top: 1.5rem;
  }

  @media (max-width: 768px) {
  .responsive-table {
    overflow-x: auto;
    display: block;
  }
}

.link-group {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  align-items: center;
}

.link-group a {
  font-weight: bold;
  color: #2A121F;
  text-decoration: none;
}

.link-group a:hover {
  text-decoration: underline;
}

.divider {
  color: #999;
}
.type-warm1 {
  background-color: #fce8d5; /* peachy beige */
  color: #5a2c00;
}

.type-warm2 {
  background-color: #fff0cc; /* light honey */
  color: #5a4500;
}

.type-warm3 {
  background-color: #ffe4e1; /* soft blush */
  color: #732d2d;
}

.type-warm4 {
  background-color: #e5f0e3; /* calm mint */
  color: #2d5936;
}

.type-warm5 {
  background-color: #fdf5e6; /* warm cream */
  color: #534222;
}
td.type {
  border-radius: 4px;
  font-weight: bold;
}

</style>












<?php

$typeStyles = [];
$colorClasses = ['type-warm1', 'type-warm2', 'type-warm3', 'type-warm4', 'type-warm5'];
$icons = ['🔥', '⭐', '🎯', '📌', '🚀'];
$usedTypes = [];

foreach ($postbacks as $postback) {
    $type = $postback['type'];
    if (!isset($typeStyles[$type])) {
        $index = count($typeStyles) % count($colorClasses); // rotate through color styles
        $typeStyles[$type] = [
            'class' => $colorClasses[$index],
            'icon' => $icons[$index],
        ];
    }
}

$totalsByDateSite = [];

foreach ($postbacks as $postback) {
    $site = $postback['site'] ?: 'Unknown';
    $date = date('Y-m-d', $postback['timestamp']);
    $amount = floatval($postback['amount']);

    if (!isset($totalsByDateSite[$date])) {
        $totalsByDateSite[$date] = [];
    }

    if (!isset($totalsByDateSite[$date][$site])) {
        $totalsByDateSite[$date][$site] = 0;
    }

    $totalsByDateSite[$date][$site] += $amount;
}
?>


<div id="postbacks" class="responsive-table">




<?php
// Filter out invalid dates
$validDates = array_filter(array_keys($totalsByDateSite), fn($date) => $date !== '1970-01-01');

$siteSums = [];

if (!empty($validDates)) {
    sort($validDates);
    $startDate = $validDates[0];
    $endDate = $validDates[count($validDates) - 1];

    // Sum by site in valid date range
    foreach ($totalsByDateSite as $date => $sites) {
        if ($date >= $startDate && $date <= $endDate) {
            foreach ($sites as $site => $amount) {
                if (!isset($siteSums[$site])) {
                    $siteSums[$site] = 0;
                }
                $siteSums[$site] += $amount;
            }
        }
    }
}
?>

<?php if (!empty($siteSums)): ?>
  <h2>Totals Per Site By Date</h2>
  <div class="responsive-table">
    <table>
      <thead>
        <tr>
          <th>Date Range</th>
          <th>Site</th>
          <th>Total Amount ($)</th>
        </tr>
      </thead>
      <tbody>
        <?php foreach ($siteSums as $site => $sum): ?>
          <tr>
            <td data-label="Date Range"><?= $startDate ?> to <?= $endDate ?></td>
            <td data-label="Site"><?= htmlspecialchars($site) ?></td>
            <td data-label="Total Amount"><?= number_format($sum, 2) ?> $</td>
          </tr>
        <?php endforeach; ?>
      </tbody>
    </table>
  </div>
<?php endif; ?>




<h2>PostBacks Tracking </h2>


  <table>
    <thead>
      <tr>
        <th class="sort" data-sort="date">Date</th>
        <th class="sort" data-sort="site">Site</th>
        <th class="sort" data-sort="source">Source</th>
        <th class="sort" data-sort="track">Track</th>
        <th class="sort" data-sort="type">Type</th>
        <th class="sort" data-sort="amount">Amount</th>
      </tr>
    </thead>
    <tbody class="list">
      <?php foreach ($postbacks as $postback): ?>
        <tr>
        <td class="date" data-label="Date" data-sort="<?= $postback['timestamp'] ?>">
  <?= date('d/m/Y H:i:s', $postback['timestamp']) ?>
</td>
          <td data-label="Site">
            <?php if (isset($name2config[$postback['track']])): ?>
              <a href="<?= $name2config[$postback['track']]['url'] ?>" target="_blank">
                <?= ucfirst($name2config[$postback['track']]['domain']) ?>
              </a>
              <span class="divider">|</span>
              <a class="admin_link" href="<?= $name2config[$postback['track']]['url'] ?>admin/admin.php?rpcKey=<?= $name2config[$postback['track']]['rpcKey'] ?>" target="_blank">Admin</a>
            <?php endif; ?>
          </td>
          <td class="source" data-label="Source"><a href="?page=postbacks&site=<?= $postback['site'] ?>"> <?=  \Avos\Scaffold\expandSiteName($postback['site']) ?></a></td>

          <td class="track" data-label="Track">
            <a href="?page=postbacks&track=<?= $postback['track'] ?>"><?= htmlspecialchars($postback['track']) ?></a>
          </td>
          <?php $type = $postback['type']; $style = $typeStyles[$type]; ?>
          <td class="type <?= $style['class'] ?>" data-label="Type"><?= $style['icon'] ?> <?= htmlspecialchars($type) ?></td>
          <td class="amount" data-label="Amount"><?= number_format((float)$postback['amount'], 2) ?> $</td>
        </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
</div>

