<?php
$ct = 3600;
$ts = gmdate("D, d M Y H:i:s", time() + $ct) . " GMT";

header("Expires: $ts");
header("Pragma: cache");
header("Cache-Control: max-age=$ct");
header("Content-type: text/css");

ob_start(function($buf) {
    if (getConfig('site', 'minify', 0)) {
        return minify_css($buf);
    }
    else {
        return $buf;
    }
});

?>




/*index page full  banner*/

.event-banner {
    position: relative;
    background: transparent;
    margin-top: 5px;
    margin-right: 4px;
    padding-top: 10%;
    margin-bottom: 10px;
}


.event-banner::before {
    position: absolute;
    content: "";
    background-size: cover;
    background-position: center center;
    padding-top: 10%;
    width: 100%;
   /* width: calc(88vw - 20px);*/
    background-repeat: no-repeat;
    top: 0px;
    left: 50%;
    -webkit-transform: translatex(-50%);
    transform: translatex(-50%);
}




.menuImageTabs {
  height: <?= $menuImageTabsHeight ?? ''; ?>;
  width: <?= $menuImageTabsWidth ?? ''; ?>;
}


/*sidebar labels sites*/
.sub-items{
  width: 100%;
} 

.siteCamsChaturbateLabel {
    width: 100%;
    font-weight: bold;
    text-align: center;
    padding: 10px 20px;
    border-radius: 8px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    margin: 0 auto;
    display: inline-block;
    background: <?= $bodyBackColor ?>; 
    color: <?= $pageTextDescription ?>; 
}

/*sidebar labels sites*/
/*webcams chat - sc*/

#chat-sc {
  height: 250px;
  bottom: 0;
  opacity: 0.6;
  width: 496px;
  right: 0;
  border: 2px solid <?= $navbarBGColor?>;
  border-radius: 7px;
}

/* Media query for tablets */
@media only screen and (max-width: 768px) {
  #chat-sc {
    height: 190px;
    width: 60%; /* Adjust width for tablets */
    border-right: none; /* Removes border on the right */
    border-left: none; /* Removes border on the left */
    border-bottom: none; /* Removes border on the bottom */
  }
}

/* Media query for mobile */
@media only screen and (max-width: 480px) {
  #chat-sc {
    height: 130px;
    width: 60%; /* Adjust width for mobile */
    border: none; /* Removes border completely */
    border-radius: 0; /* Removes border radius */
  }
}


/*webcams chat - sc*/

/*home embed wide*/


.home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW {
    width: 100%;
    height: 177px; /* Adjust this height as needed */
    padding-bottom: 45%; /* Adjust this value based on your design */
    text-align: left;
    border-radius: 16px;
    position: relative;


        background: <?= $embedWideBackgrownd ?? ''; ?>!important;

}


.embedWide{
  color:<?= $embedWideTextColor ?? '';?>;
}



.home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW .home-top-banner_effect__UC_mf {
  background: linear-gradient(90deg, <?= $embedWideBackgrownd ?? '#000'; ?>, <?= $embedWideBackgrownd ?? '#000'; ?> 50%, hsla(0, 0%, 99%, 0)) !important;
    border-radius: 16px;
    width: 60%;
    height: 100%;
    position: absolute;
    left: 0;
}

/*home embed wide*/






.emoji-image{
  height:<?=$modelsScrollingLEmoticonsHeight?>;
  width:<?=$modelsScrollingLEmoticonsHeight?>;
}




.promo-label-menu {
    transform: <?= $promoLabelRotate?>;
    background: <?= $promoLabelBackground?>;
    font-size: <?= $promoLabelFontSize?>px;
    position: absolute;
    border-radius: <?= isset($promoLabelBorderRadius) ? $promoLabelBorderRadius : ''; ?>;
    right: -5px;
    border: <?= isset($promoLabelborder) ? $promoLabelborder : ''; ?>;
    top: <?= $promoLabelMarginTop?>;
    font-weight: bold;
    padding: 1px 2px;
    line-height: 10px;
    color: <?= $promoLabelColor?>;
    
}



.promo-label-sidebar {

  transform: <?= $promoLabelSidebarRotate?>; 
    background: <?= $promoLabelSidebarBackground?>;
    font-size: <?= $promoLabelSidebarFontSize?>px;
    position: absolute;
    top: 25.4px;
    right: 25%;
    font-weight: bold;
    padding: 1px 2px;
    line-height: 10px;
    color: <?= $promoLabelSidebarColor?>;
    opacity: 0.8; 
}



@media (min-width: 1200px) {
    body.toggle-left-side-nav .promo-label-sidebar {
        display: none !important;
    }
}


@media (min-width: 1200px) {
    body.toggle-left-side-nav .sidebarMenuList {
        display: none !important;
    }
}





/* featured models*/
.index-module__flagNew--MIAcu {
    height: 50px;
    overflow: hidden;
    position: absolute;
    right: 0;
    text-align: right;
    text-transform: uppercase;
    top: 0;
    width: 100%;
    z-index: 3;
}
.index-module__flagNew--MIAcu span {
    background-color: <?= $featureModelBackground?>;
    box-shadow: 0 3px 10px -5px #000;
    color: var(--cs-primary-text,var(--cs-gray-FF));
    display: block;
    font-size: 10px;
    color:<?= $featureModelColor ?>;
    font-weight: 700;
    line-height: 17px;
    position: absolute;
    right: -26px;
    text-align: center;
    top: 5px;
    transform: rotate(45deg);
    width: 80px;
}



@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: scale(1);
    }
    40% {
        transform: scale(1.2);
    }
    60% {
        transform: scale(1.1);
    }
}

.dynamic {
    display: inline-block;
    animation: bounce 2s ease-in-out infinite; /* Adjust the duration and timing function as needed */
}


/* featured models*/




.menuImageClass{
  height: <?= $menuImageHeight?>;
  width:<?= $menuImageWidth?>;
  margin-top: <?= $menuImageTopMargin?>;
  margin-right: 3px;
}




.videoGrid{
  opacity: 1;
    position: absolute;
    display: block;
    -o-object-fit: cover;
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: opacity .3s linear;
}


.box  .collection-token-stripe {
  position: absolute;
    bottom: 0;
    text-align:center;
    padding-bottom: 8px;
    background-color: rgba(0, 0, 0, 0.4);
    color: rgb(255, 255, 255);
    width: 100%;
    display: block;
    font-size: 125%;
    line-height: 145%;
    align-self: center;
    opacity: 0.9;
    text-shadow: rgb(0, 0, 0) 0px 1px 3px;
}







.p-small {
    font-size: 12px;
    color: <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
}



.mfcs-navbar-link-with-text span:not(.dynamic-ripple-node){
    
    color: <?= $menuHamburgTextColor ?? ''; ?>!important;
   
}

.menuImage{
    position: relative;
    height: 40px;
    top: <?= $headerMenuImageTop?>px;
}
.giveImageClass{
  position: relative;
    height: 15px;
    top: 0px;
}
/*top banner*/

#sidebarBanner{
  height: <?= $sidedarBannerHeight ?? ''; ?>!important;
}


.ad {
     position: absolute;
         display: inline-block;
         margin-top: 0px;
         width: auto;
         height:45px;
         z-index: 10;
         margin-left: 100%;

   }
   @media (max-width: 1300px)
   {.primary-header .search-group {
       width: 44%!important;
   }}

.story-circle span.story-circle-sp1 span.story-circle-sp2{
  border: 2px solid <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
}

a:active,a:focus {
  color: <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
}

.box.album img.default-thumbnail {
  color: <?= $tabsCategoriesMenuColor?>;
}

.tabsItems {
    display: block;
    border: 1px solid #444;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-color: transparent;
    color: <?= $tabsCategoriesMenuColor?> !important;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    background-color: <?= $tabsCategoriesMenuBackground?> !important;
    text-transform: uppercase;
    font-size: 10pt;
    font-weight: 800;
    flex-grow: 0.1;
    margin: 2px;
    padding: 3px 7px;
    cursor: pointer;
    text-align: center;
}

.btn-green {
    background-color: <?= $tabsCategoriesMenuBackground ?? ''; ?>!important;
    color: var(--white);
    border-radius: 2px;
}

.show-line-breaks{
  color: <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
}

.searchIcons{
  color: <?= $menuHamburgColor  ?? ''; ?>!important;
}
.input-mfcs {
    border-bottom:  <?= $menuSearchInputBorder ?? '';?>!important;
    color: <?= $menuSearchTextInputColor ?? ''; ?>!important;

}
   

.input-mfcs:active, .input-mfcs:focus, .input-mfcs:hover{
  background-color: <?= $menuSearchBackgroundHoher ?? '';?>!important;
}



.modelSeeBio{
  color: <?= $tabsCategoriesMenuColor ?? '';?>!important;;
  background-color:  <?= $tabsCategoriesMenuBackground  ?? '';?>!important;
  font-size: 18px;
  font-weight: 600;
} 

.modelSeeBioLow{
  
  color: <?= $tabsCategoriesMenuColor ?? ''; ?>!important;;
  background-color:  <?= $tabsCategoriesMenuBackground  ?? ''; ?>!important;
  font-size: 14px;
  font-weight: 600;

}




#scrollingList{
  background-color: <?= $modelsScrollingBackground; ?>;
  color:<?= $modelsScrollingColor ?>;
  list-style-type: none; 
  padding: 0;
   margin: 10px; 
   overflow: hidden;
    white-space: nowrap; 
}
#scrollingList .ListSubject{
  color:<?= $modelsScrollingColor ?>;
}
#scrollingList .ListSubject a{
  color:<?= $modelsScrollingColorLink ?>;
}



.paginationFontColor{
  color:<?= $paginationFontColor ?? ''; ?>!important;
  background-color: <?= $tabsCategoriesMenuBackground ?? ''; ?>!important;
  width: 170px;
  font-size:<?= $paginationFontSize ?>
}

.pagestyle{
  color:<?= $paginationFontColor ?? ''; ?>!important;
  background-color: <?= $tabsCategoriesMenuBackground ?? ''; ?>!important;
  min-width: 170px;
  font-size:<?= $paginationFontSize ?>;
  font-weight: 900;
}




.dopp {
    background-color: <?= $tabsCategoriesMenuBackground?>;
    border-left-style: solid;
    border-left-color: <?= $tabsCategoriesMenuColor?>;
    margin-bottom: 10px;
    color: <?= $tabsCategoriesMenuColor?>;
}


.info-label{
  color: <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
}

.info-value{
  color: <?= $tabsCategoriesMenuColor?>;
}




  .follow-button i.fa-heart-o {
    color: crimson; /* Change the color to your desired color */
  }

  .follow-button.added i.fa-heart {
    color: deeppink; /* Change the color to pink */
  }

.infinite-page:not(.no-thing-box-grid){
grid-template-columns: repeat(auto-fill,minmax(<?=$gridModelSize?>,1fr))!important;
}




body{
  background-color:<?= $bodyBackColor?>;
}


.heds{
  background-color:<?=$navbarBGColor ?? ''; ?>!important;
  color:white;
} 

.wrapper{
  background-color:<?=$wrapperBgColor  ?? ''; ?>!important;
}

/*nav bar*/


#navbar-id{

  background-color:<?=$navbarBGColor ?? ''; ?>!important;

}
.mfcs-navbar-brand{
    background-color:<?=$logoGrupColor ?? ''; ?>!important;
}

.mfcs-navbar2 a i {
    color:<?= $menuIconColor; ?> !important;
}

.mfcs-navbar a{
  color:<?= $menuLinkColor; ?> !important;
}

.sublogotext {
   
    color: <?= $menuLogoText;?>;

    <? if (!empty($logoTextMarginTop)) :?> top:<?= $logoTextMarginTop?>;<?endif;?>

      <? if (!empty($logoTextSize)) :?> font-size:<?= $logoTextSize?>;<?endif;?>


 
   
}

.panel-body {

}
#floatingChat{
  background-color: <?= $tabsCategoriesMenuBackground ?? ''; ?>!important;
}
#show{
  background-color: <?= $tabsCategoriesMenuBackground ?? ''; ?>!important;
}

.text-things-index{
  background-color: <?= $tabsCategoriesMenuBackground ?? ''; ?>!important;
}
 



.setlogo {
  <? if (!empty($martinTopLogo)) :?> top:<?= $martinTopLogo?>;<?endif;?>
    position: relative;
    display: block;
    line-height: 50px;
    margin-top:<?= $headerLogoTop ?? '';?>px!important;
    height: <?= $headerLogoHeight ?? '';?>px!important;
    width: <?= $headerLogoWidth ?? '';?>px!important;
    vertical-align: middle; 
    color: var(--white);
    font-weight: 700;
}

.user-header-v2.white, .user-header-v2.white .user-header-top>.avatar-and-buttons>.avatar{
  background-color: <?= $profileAvatarColor  ?? ''; ?>!important;
}

.user-header-v2 .username a{
  color: <?= $profileAvatarColorsText ?? '';?>;
}
.text_avatar{
  color: <?= $profileAvatarColorsText ?? '';?>;
  font-size: 15px;
}



.mfc-toggle-js.active, .mfc-toggle-js:not(.mfc-toggle-js):focus, .mfc-toggle.active, .mfc-toggle:not(.mfc-toggle-js):focus {
    text-decoration: none;
    border-bottom: 2px solid <?= $pageTextDescription ?? '';?>;
}

.btn-green{
border-color:<?= $pageTextDescription ?? '';?>;
}
.btn-green:hover {
border-color:<?= $pageTextDescription ?? '';?>;
}

.btn-grey{
  background-color:<?= $genderBackgrownd ?? '';?>
}


.btn-grey:hover {
  background-color: <?= $genderBackgrowndHover ?? ''; ?>
}




.text-description{
  color: <?= $pageTextDescription ?? '';?>
}


.text-description:hover {
  color: <?= $pageTextDescription ?? '';?>;
}


.offlineModelHeader{
  color: <?= $profileOfflineHeader ?? '';?>;
}

.offlineModelHeader:hover {
  color: <?= $profileOfflineHeader ?? '';?>;
}
.campreview-toggle-size:hover {
  color: <?= $pageTextDescription ?? '';?>;
}
.campreview-hide:hover {
  color: <?= $pageTextDescription ?? '';?>;
}

.adsone:hover {
  color: <?= $pageTextDescription ?? '';?>;

}
 
.imagesModelProfile{
  color: <?= $pageTextDescription ?? '';?>;
  background-color: <?= $tabsCategoriesMenuBackground ?? '';?>;
}

 


.mfcs-navbar-link-with-text i{
  color:<?= $menuHamburgColor ?? ''; ?> !important;
}



.search-bar.search-bar-top{
  background :<?= $menuSearchBackground ?? ''; ?> !important;
}
.input-mfcs::placeholder {
    color:<?= $menuSearchInputColor ?? '';?>;
}
.search-bar .btn{
  color:<?= $menuSearchInputColor ?? '';?>;
}




.dropdown-menu, .dropdown .dropdown-menu {
background-color: <?= $dropdownMainMenu  ?? ''; ?>!important;
}

.mfcs-navbar2 {
   
    padding-left: <?= $topMenuPaddingLeft ?? '';?>px!important;
}
.mfcs-navbar-link.hidden-xs:hover {
    
    background-color: <?= $menuHoverLinks ?? ''; ?>!important;
} 


/*nav bar*/


/*sidebar*/

.left-side-nav{
    background-color:<?=$sidebarBgColor ?? ''; ?>!important;
}

.left-side-nav .left-side-nav-items a i {
  color: <?= $sidebarIconColor  ?? ''; ?>!important;
} 

pam{
  color: <?= $sidebarTagCounter ?? ''; ?>!important;
}


.item a svg {
fill:<?= $sidebarSvgIconColor  ?? ''; ?>!important;
}
.left-side-nav .left-side-nav-items a span{
    color: <?=$sidebarTextColor ?? ''; ?>!important;
}

.left-side-nav .left-side-nav-items a{
    color: <?=$sidebarTextColor ?? ''; ?>!important;


}

.left-side-nav .left-side-nav-items a:hover {
  
    background-color:<?= $sidebarHoverLinks ?? ''; ?>!important;
}

.left-side-nav #navbar-viewing-history-container .thing:hover {
  
  background-color:<?= $sidebarHoverLinks ?? ''; ?>!important;
}
  



.left-side-nav #navbar-viewing-history-container .title {
   
   
}





/*sidebar*/

/*grid*/
.thing-box-container .album-list-public-user-info {
background: <?= $gridModelInfo ?? ''; ?>!important;
}


.thing-box-container .album-list-public-user-info a{
  color: <?= $gridModelTextInfo ?? ''; ?>!important;
}

span.follow-buttons button i.fa {
  color: <?= $gridModelTextInfo ?? ''; ?>!important;
}



/*grid*/

/*tag-cloud footer*/

.tag-cloud a {
   
    color: <?= $footerTagCloudColor ?>;
}

.footer a {
    color: <?= $footerTextColor?>;
}

/*profile*/

.profileBgColor{
  background-color:<?=$profileBgColor ?? ''; ?>!important;
}


.campreview-link .btn {
    padding: 2px 4px;
    margin-left: 0px!important;
}

/*
.tags-container a {
    color: white!important;

}

.center-mobile {
      color: white!important;
}

.album-info {
    text-align: right;
    color: white!important;
}
.mini-event-container a{
  color: white!important;
}
mini-event-container .pos-r .pull-left a{
      color: white!important;
}
.album-at{
  color: white!important;
}
.profile-left .profile-left-container-3 span.full-width{
  color: white!important;
}

a.topPop {
    text-decoration: none !important;
}

.collapsed-smaller{
  text-decoration: none !important;
}

#primary{
  padding: 0 4px 10px 8px;
  color: white!important;
}

*/

.header-tabs-wrapper .tabs .tab.active, .header-tabs-wrapper .tabs a.tab.active{
    padding-bottom: 0;
    border-bottom: 3px solid <?= $tabsCategoriesMenuColor?>;
    color: <?= $tabsCategoriesMenuColor?>;
} 
 

.header-tabs-wrapper .tabs .tab.active, .header-tabs-wrapper .tabs a.tab.active{
    padding-bottom: 0;
    border-bottom: 3px solid <?= $tabsCategoriesMenuColor?>;
    color: <?= $tabsCategoriesMenuColor?>;
}


.header-tabs-wrapper .tabs:hover a.tab:hover {
    padding-bottom: 0;
    border-bottom: 3px solid <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
    color: <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
}
.header-tabs-wrapper .tabs .tab.active, .header-tabs-wrapper .tabs a.tab.active:before{
  color: <?= $tabsCategoriesMenuColor ?? ''; ?>!important;
}


.album-info-container .tags-container{
color: white!important;
}

.full-width .share-rank{
  color: white!important;
}

/*cookie css ...i added here if you want to change it for each theme colors*/
.gfCjKt {
-webkit-box-align: center;
align-items: center;
background: linear-gradient(rgb(218, 0, 0), rgb(166, 0, 0));
border-radius: 20px;
color: rgb(255, 255, 255);
display: flex;
font-family: Arial, sans-serif;
font-size: 17px;
height: 42px;
-webkit-box-pack: center;
justify-content: center;
margin-right: 10px;
width: 150px;
margin-left: 12px;

}
.bclass{
color: <?= $cookieMessageColor?>;
}

.cookie-notify-button {
    background-color: <?= $tabsCategoriesMenuBackground?>; /* Soft blue */
    color: <?= $tabsCategoriesMenuColor?>;
    padding: 10px 20px;
    font-size: 13px;
    font-weight: 900;
    text-transform: none;
    cursor: pointer;
    border: none;
    display: inline-block;
    margin-top: 15px;
    transition: background-color 0.3s, transform 0.3s ease;
}

.cookie-notify-button:hover {
    background-color:  <?= $tabsCategoriesMenuBackground?>; /* Darker blue on hover */
    transform: scale(1.05); /* Slight zoom effect */
}

.cookie-notify-button:focus {
    outline: none;
}

.cookie-notify-button:active {
    background-color: #004085; /* Darker blue when clicked */
}



.hidecookies{
display:none!important;
}
.cookie-message {
    font-family: "Century Gothic", CenturyGothic, Geneva, AppleGothic, sans-serif;
    border-radius: 10px;
    padding: 15px 0;
    background: <?= $cookieMessageBackgrownd?>;
    border: 1px solid rgba(0,0,0,.15);
    box-shadow: 0 0 16px 2px rgba(0,0,0,.05), 0 10px 10px 2px rgba(0,0,0,.05);
    font-size: 12px;
    line-height: 40px;
    border-top: 1px solid #e4e4e4;
    position: fixed;
    z-index: 999999;
    bottom: 10%;
    right: 2%;
    margin: auto;
    max-width: 540px;
    display: -ms-flexbox;
    display: flex;
}
.cookie-message img {
    height: 50px;
    width: 50px;
    margin: 0 15px;
    -ms-flex-item-align: center;
    -ms-grid-row-align: center;
    align-self: center;
}
.cookie-message span {
  color: <?= $cookieTextColor?>;
    display: inline-block;
    line-height: 1.5;
    padding-right: 16px;
    border-right: 1px solid rgba(0,0,0,.1);
}
.cookie-message a.close {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    border: none;
    font-size: 24px;
    padding: 0 20px 0 16px;
    position: relative;
    -ms-flex-item-align: center;
    -ms-grid-row-align: center;
    align-self: center;
    color: <?= $cookieMessageColor?>;
    transition: color 0.2s;
    opacity: 1;
}
.cookie-message a.close:hover { color: #795548; }
.cookie-message a {
    display: inline-block;
    color: <?= $cookieMessageColor?>;
    text-decoration: none;
    border-bottom: 1px solid rgba(0,0,0,.1);
}





/*home new banner embed*/

/* Default styles for the iframe */
.home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW iframe {
    width: 80%;
    height: 100%;
    position: absolute; 
    top: 0;
    right: 0;
    object-fit: fill;
    border-bottom-right-radius: 16px;
    border-top-right-radius: 16px;
}

/* Apply styles for screens with a width between 480px and 767px */
@media only screen and (min-width: 480px) and (max-width: 720px) {
    .home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW iframe {
      width: 80%;
    height: 100%;
    position: absolute; 
    top: 0;
    right: 0;
    object-fit: fill;
    border-bottom-right-radius: 16px;
    border-top-right-radius: 16px;
    }
}

/* Apply styles for screens with a width between 768px and 991px */
@media only screen and (min-width: 768px) and (max-width: 991px) {
    .home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW iframe {
      width: 50%;
        float: right;
        position: absolute;
    }
}

/* Apply styles for screens with a width of 992px and above */
@media only screen and (min-width: 992px) {
    .home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW iframe {
      width: 50%;
        float: right;
        position: absolute;
    }
}

/*home new banner embed*/







<? if (!empty(TEMPLATES_FLAVOR) && file_exists(TEMPLATES_FLAVOR . 'style.css')) readfile(TEMPLATES_FLAVOR . 'style.css'); ?>
<? if (!empty(TEMPLATES_FLAVOR) && file_exists(TEMPLATES_FLAVOR . 'style.php')) include(TEMPLATES_FLAVOR . 'style.php'); ?>
<? if (file_exists(getConfig('site', 'webDir', '*') . 'site.css')) readfile(getConfig('site', 'webDir') . 'site.css'); ?>
<? ob_end_flush(); exit; ?>
