<style>
  .model-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
    gap: 20px;
    padding: 20px;
  }

  .model-item {
    background: #fff;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    text-align: center;
  }
  img.lazy {
    display: block;
}
  .model-item:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.15);
  }

  .image-wrapper {
    position: relative;
    width: 100%;
    padding-top: 130%; /* Aspect ratio (e.g., 4:5) */
    overflow: hidden;
    border-bottom: 1px solid #eee;
  }

  .image-wrapper img {
    position: absolute;
    top: 0; left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .model-info {
    padding: 10px;
    font-size: 14px;
    font-weight: bold;
    color: #333;
  }

  .model-info span {
    display: block;
    font-size: 13px;
    color: #777;
    margin-top: 4px;
  }

  @media (max-width: 500px) {
    .model-info {
      font-size: 13px;
    }
    .model-info span {
      font-size: 12px;
    }
  }
</style>
<? //print_r($tags);?>


<div class="model-grid">
  <?php 
    // Initialize an empty array to track models that have already been displayed
    $displayedModels = [];

    foreach ($tags as $tagName => $tagData): 
      // Get the first model in the tag
      $m = $tagData['models'][0] ?? null;

      // Skip if no model or no image exists for this model
      if (!$m || empty($m['numImages']) || empty($m['imagePath'])) continue;

      // Check if this model has already been displayed
      if (in_array($m['nickname'], $displayedModels)) continue;

      // Add the model's nickname to the displayed models list
      $displayedModels[] = $m['nickname'];

      $numImages = (int) $m['numImages'];
      if ($numImages < 1) continue;

      // Select the image
      $randNum  = '1'; // Keep as 1 to simplify (or use random as needed)
      $imageUrl = $m['imagePath'] . $randNum . '.webp';
  ?>
    <div class="model-item">
      <div class="image-wrapper">
        <!-- Lazy load the images -->
        <?//= encodeUrl('webcamsTag', $t) ?>
        <a href="<?= strtolower(encodeUrl('webcamsTag' , $tagData)); ?>">
       

        <img 
  data-src="<?= htmlspecialchars($imageUrl) ?>" 
  live-src="<?= htmlspecialchars($imageUrl) ?>" 
  class="img lazy" 
  title="<?= $m['nickname'] ?>" 
  loading="lazy"
  onerror="this.onerror=null;">




    </a>
      </div>
      <div class="model-info">
        <?= htmlspecialchars($tagName) ?>
        <span><?= (int)$tagData['online'] ?> online</span>
      </div>
    </div>
  <?php endforeach; ?>
</div>








<script>
  document.addEventListener("DOMContentLoaded", function () {
    const fallbackImages = [
      '/share/profilePhoto/back_ass.webp',
      '/share/profilePhoto/brown_ass.webp',
      '/share/profilePhoto/red_ass.webp'
    ];

    const useRandomFallback = (img) => {
      const randomFallback = fallbackImages[Math.floor(Math.random() * fallbackImages.length)];
      img.src = randomFallback;
      img.classList.remove('lazy');
      img.removeAttribute('data-src');
      img.setAttribute('data-ll-status', 'loaded');
      img.style.display = 'block';
    };

    const handleImage = (img) => {
      const temp = new Image();
      const targetSrc = img.getAttribute('data-src') || img.src;

      temp.onload = function () {
        // It loaded fine, do nothing
      };

      temp.onerror = function () {
        useRandomFallback(img);
      };

      temp.src = targetSrc;
    };

    // Delay to make sure lazyload has already started replacing data-src to src
    setTimeout(() => {
      document.querySelectorAll('img.lazy').forEach(img => {
        // Check if image hasn't been replaced yet (e.g., still in viewport)
        if (img.getAttribute('data-src')) {
          handleImage(img);
        } else if (img.complete && img.naturalWidth === 0) {
          // Image was loaded but failed
          useRandomFallback(img);
        }
      });
    }, 800); // delay a bit so lazy loader has time to swap src
  });
</script>


