<style>
    .modelSeeBio {
    color: #474350 !important;
    background-color: #CCD0CB !important;
    font-size: 18px;
    font-weight: 600;
}
/* General Container Styling */
.container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* Header */
.faq-header h1 {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 20px;
    color: #ff2a6d;
    text-shadow: 1px 1px 2px #00000020;
}

/* Section Styling */
.faq-section {
    background-color: #fff8fc;
    border-left: 5px solid #ff2a6d;
    border-radius: 10px;
    padding: 20px;
    margin-bottom: 30px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
    animation: fadeIn 0.8s ease-in-out;
}

/* Headings */
.faq-section h2 {
    font-size: 1.5rem;
    color: #5e0d21;
    margin-bottom: 15px;
}

/* Paragraphs */
.faq-section p {
    font-size: 1rem;
    line-height: 1.6;
    margin-bottom: 10px;
    color: #333;
}

/* Token Link */
.link {
    color: #ff2a6d;
    text-decoration: none;
    font-weight: bold;
}

.link:hover {
    text-decoration: underline;
}

/* List */
.faq-section ul {
    padding-left: 20px;
    margin-top: 10px;
}

.faq-section li {
    margin-bottom: 10px;
    color: #444;
    position: relative;
    padding-left: 20px;
}

.faq-section li::before {
    content: "🎉";
    position: absolute;
    left: 0;
    top: 0;
}

/* Responsive Text */
@media screen and (max-width: 600px) {
    .faq-header h1 {
        font-size: 2rem;
    }

    .faq-section h2 {
        font-size: 1.3rem;
    }

    .faq-section p,
    .faq-section li {
        font-size: 0.95rem;
    }
}

/* Animation */
@keyframes fadeIn {
    from {opacity: 0; transform: translateY(20px);}
    to {opacity: 1; transform: translateY(0);}
}


</style>



<div class="container">
        <header class="faq-header">
            <h1><?= ucfirst($model['nickname'])?> FAQs</h1>
        </header>
<br>







        <section class="faq-section">
            <h2>What is the current balance of a user in relation to purchasing tokens?</h2>
            <p>Your Available Balance: <a class="text-description-detail link" data-turbo="false" href="<?= Avos\User\encodeRoomLink($model); ?>" target="_blank" rel="noopener">Token Purchase Information</a></p>
            <p>Attention: The current balance shows the amount available for purchasing tokens.</p>
            <?php if (isset($model['rank']) && $model['rank'] > 100): ?>
    <p><strong>Great news!</strong> This room boasts a high satisfaction rating with a rank of <?= $model['rank'] ?>.</p>
<?php else: ?>
    <p><strong>Note:</strong> This room has a lower satisfaction rating. You might want to explore other options. Current rank: <?= $model['rank'] ?>.</p>
<?php endif; ?>
        </section>

        <section class="faq-section">
            <h2>How can users earn tokens through the platform?</h2>
            <p>Users can earn tokens through the platform by engaging in two main activities:</p>
            <ul>
            <?php if (isset($model['site']) && $model['site'] == 'Chaturbate'): ?>
    <ul>
        <li>Earn up to 10 tokens for every new user you refer successfully.</li>
        <li>Get a generous bonus of 500 tokens by broadcasting once you reach $20.00 in earnings.</li>
    </ul>
<?php elseif (isset($model['site']) && $model['site'] == 'Stripchat'): ?>
    <ul>
        <li>Get lucky every hour with 50 free tokens awarded to 10 users with verified email accounts.</li>
        <li>Enjoy a 10% bonus when you purchase 200 tokens.</li>
        <li>Enjoy a 20% bonus when you purchase 500 tokens.</li>
    </ul>
<?php else: ?>
    <ul>
        <li>Join our exciting hourly draw for a chance to win free tokens for verified users.</li>
        <li>Take advantage of our special promotions when you make a token purchase.</li>
        <li>Unlock exclusive benefits and bonuses with your token purchases.</li>
    </ul>
<?php endif; ?>




            </ul>
        </section>
      
        <section class="faq-section">
            <h2>How can users send a tip to <?= ucfirst($model['nickname'])?>?</h2>
            <p>To send a tip to <?= ucfirst($model['nickname'])?>:</p>
            <ul>
                <li>Check Your Balance: Ensure you have enough <a class="text-description-detail link" data-turbo="false" href="<?= Avos\User\encodeRoomLink($model); ?>" target="_blank" rel="noopener">tokens</a> .</li>
                <li><a class="text-description-detail link" data-turbo="false" href="<?= Avos\User\encodeRoomLink($model); ?>" target="_blank" rel="noopener">Purchase Tokens</a>: Buy tokens through the secure purchase options if needed.</li>
                <li>Send the Tip:
                    <ul>
                        <li>Locate <?= ucfirst($model['nickname'])?>'s chat room.</li>
                        <li>Find the tip interface near the chat window.</li>
                        <li>Enter the amount of tokens and click the send button.</li>
                    </ul>
                </li>
                <li>Read Warnings: Pay attention to any satisfaction ratings or user reviews for the room. (Rank : <?=$model['rank'];?>)</li>
            </ul>
        </section>

        <section class="faq-section">
    <h2>What is required to access <?= ucfirst($model['nickname'])?>'s room?</h2>
    <p>To access <?= ucfirst($model['nickname'])?>'s room, you might need one of the following:</p>
    <ul>
        <li>VPN connection: Depending on your location, you may need to use a VPN to access <?= ucfirst($model['nickname'])?>'s room.</li>
        <li>Membership: Some rooms require you to be a registered member or have a specific membership level.</li>
        <li>Device compatibility: Make sure your device and browser are compatible for the best viewing experience.</li>
    </ul>
</section>


<section class="faq-section">
    <h2>What are the consequences of copyright infringement related to <?= ucfirst($model['nickname'])?>'s content?</h2>
    <p>It's important to respect <?= ucfirst($model['nickname'])?>'s copyrighted content. Using it without permission can lead to serious consequences, including:</p>
    <ul>
        <li>Potential legal actions that may involve significant financial repercussions.</li>
        <li>Possible legal consequences, which could include more severe penalties.</li>
    </ul>
    <p>Let's support <?= ucfirst($model['nickname'])?> by enjoying and sharing their content responsibly and legally!</p>
    <p><a href="/dmca.html" class="text-description-detail link" title="DMCA Notice">DMCA Notice</a></p>

</section>


        <section class="faq-section">
            <h2>What are the legal notices regarding the use of <?= ucfirst($model['nickname'])?>'s pictures, profile, videos, or audio?</h2>
            <p>Legal notices include:</p>
            <ul>
                <li>Unauthorized use of images, profile info, videos, or audio is prohibited without explicit consent.</li>
                <li>Content should not be posted, uploaded, or distributed without permission.</li>
                <li>Violations may lead to legal consequences including financial claims and imprisonment.</li>
            </ul>
            <?php if (isset($promoteEmail) && !empty($promoteEmail)): ?>
    <p>We appreciate your cooperation in respecting the intellectual property rights associated with <?= ucfirst($model['nickname'])?>'s content. For further information or inquiries, feel free to <a class="text-description-detail link" href="mailto:<?= htmlspecialchars($promoteEmail, ENT_QUOTES, 'UTF-8') ?>">Contact us</a>.</p>
<?php endif; ?>
         </section>

        <section class="faq-section">
            <h2>What kinds of live webcam interactions and video showcases does <?= ucfirst($model['nickname'])?> offer?</h2>
            <p><?= ucfirst($model['nickname'])?> offers a variety of webcams show, including:</p>
            <ul>
    <li>Intimate Performances</li>
    <li>Exclusive Live Shows</li>
    <li>Custom Requests</li>
    <li>Private Chat Experiences</li>
    <li>Behind-the-Scenes Footage</li>
    <li>Interactive Games and Challenges</li>
    <li>Special Themed Events</li>
    <li>High-Energy Dance Routines</li>
    <li>Fantasy Roleplay Scenarios</li>
    <li>VIP Member-Only Content</li>
</ul>
<p><?= ucfirst($model['nickname'])?> List of tags:</p>


    <?php
    // Debug: Output the data structure of $model['tags']
    // Uncomment this line if needed for debugging
    // echo '<pre>'; print_r($model['tags']); echo '</pre>';
    ?>


<?php
    // Original comma-separated string
    $tagsString = $model['tags'];
    
    // Remove leading comma if it exists and split the string into an array
    $tagsArray = explode(',', ltrim($tagsString, ','));
    
    // Remove any empty elements in case of leading commas
    $tagsArray = array_filter($tagsArray);
    ?>

    <?php if (!empty($tagsArray)): ?>
        <div class="tags-list">
            <?php foreach ($tagsArray as $tag): ?>
                <a class="text-description-detail" href="<?= htmlspecialchars($searchUrl . 'kw=' . urlencode($tag)) ?>">
                    #<?= htmlspecialchars($tag) ?>
                </a>
                <?php if ($tag !== end($tagsArray)): ?>
                    ,
                <?php endif; ?>
            <?php endforeach; ?>
        </div>
    <?php else: ?>
        <p>No tags available.</p>
    <?php endif; ?>






        </section>

        <section class="faq-section">
    <h2>Does <?= ucfirst($model['nickname'])?> have any body decorations?</h2>

    <?php
    // Define a comprehensive list of keywords related to body decorations
    $bodyDecorationKeywords = [
        'tattoos' => ['tattoo', 'ink', 'body art', 'tattoos'],
        'piercings' => ['piercing', 'piercings', 'body jewelry', 'earring', 'nose ring', 'lip ring', 'septum', 'tragus'],
        'body art' => ['body art', 'art', 'paint', 'body paint', 'henna'],
        'scarification' => ['scarification', 'scars', 'scar'],
        'branding' => ['branding', 'branded', 'burned'],
        'implant' => ['implant', 'subdermal', 'under-skin', 'silicone implant'],
        'modifications' => ['body modification', 'modification', 'mod'],
        'stretching' => ['stretching', 'ear stretching', 'gauges', 'plugs'],
        'jewelry' => ['body jewelry', 'jewelry', 'accessory', 'body accessory'],
        'suspension' => ['suspension', 'body suspension', 'suspension art'],
        'cosmetic' => ['cosmetic surgery', 'cosmetic', 'enhancement', 'plastic surgery'],
        'piercing types' => ['tongue piercing', 'eyebrow piercing', 'nipple piercing', 'navel piercing', 'surface piercing'],
        'temporary decorations' => ['temporary tattoo', 'temporary piercing', 'stick-on tattoo', 'stick-on jewelry'],
    ];

    // Split the comma-separated string into an array if necessary
    $tagsArray = explode(',', ltrim($model['tags'], ','));
    $tagsArray = array_filter($tagsArray); // Remove any empty elements

    // Initialize an array to hold found body decorations
    $foundDecorations = [];

    // Check if any tag matches body decoration keywords
    foreach ($tagsArray as $tag) {
        foreach ($bodyDecorationKeywords as $decoration => $keywords) {
            foreach ($keywords as $keyword) {
                if (stripos($tag, $keyword) !== false) {
                    if (!in_array($decoration, $foundDecorations)) {
                        $foundDecorations[] = $decoration;
                    }
                    break 2; // Exit both loops if a match is found
                }
            }
        }
    }
    ?>

    <?php if (!empty($foundDecorations)): ?>
        <p><?= ucfirst($model['nickname'])?> has the following body decorations based on their tags:</p>
        <ul>
            <?php foreach ($foundDecorations as $decoration): ?>
                <li><?= ucfirst($decoration) ?></li>
            <?php endforeach; ?>
        </ul>
    <?php else: ?>
        <p>As of now, <?= ucfirst($model['nickname'])?> does not have any tattoos, piercings, or other body decorations. However, this could change in the future, so be sure to check back for updates!</p>
    <?php endif; ?>
</section>



<section class="faq-section">
    <h2>Does <?= ucfirst($model['nickname'])?> smoke or drink?</h2>

    <?php
    // Define keywords related to smoking and drinking
    $smokeKeywords = ['smoke', 'cigarette', 'smoking', 'vape', 'nicotine'];
    $drinkKeywords = ['alcohol', 'drinking', 'beer', 'wine', 'cocktail', 'liquor'];
    
    // Split the comma-separated string into an array if necessary
    $tagsArray = explode(',', ltrim($model['tags'], ','));
    $tagsArray = array_filter($tagsArray); // Remove any empty elements

    // Check if any tag matches smoking or drinking keywords
    $smokesOrDrinks = false;
    
    foreach ($tagsArray as $tag) {
        foreach ($smokeKeywords as $keyword) {
            if (stripos($tag, $keyword) !== false) {
                $smokesOrDrinks = true;
                break 2; // Exit both loops if a match is found
            }
        }
        foreach ($drinkKeywords as $keyword) {
            if (stripos($tag, $keyword) !== false) {
                $smokesOrDrinks = true;
                break 2; // Exit both loops if a match is found
            }
        }
    }
    ?>

    <?php if ($smokesOrDrinks): ?>
        <p><?= ucfirst($model['nickname'])?> may smoke or drink based on their tags. For more details, please refer to their profile or contact them directly.</p>
    <?php else: ?>
        <p>No, <?= ucfirst($model['nickname'])?> neither smokes nor drinks.</p>
    <?php endif; ?>
</section>


<section class="faq-section">
    <h2>What is <?= ucfirst($model['nickname'])?>'s body type?</h2>

    <?php if (!empty($model['body'])): ?>
        <p><?= ucfirst($model['nickname'])?>'s body type is described as: <?= htmlspecialchars($model['body']) ?>.</p>
    <?php else: ?>
        <p>As of now, the specific body type of <?= ucfirst($model['nickname'])?> is not listed. Check back later for updates!</p>
    <?php endif; ?>
</section>


<section class="faq-section">
    <h2>What languages does <?= ucfirst($model['nickname'])?> speak?</h2>

    <?php if (!empty($model['languages'])): ?>
        <p><?= ucfirst($model['nickname'])?> speaks the following languages: <?= htmlspecialchars($model['languages']) ?>.</p>
    <?php else: ?>
        <p><?= ucfirst($model['nickname'])?> is fluent in English.</p>
    <?php endif; ?>
</section>

<section class="faq-section">
    <h2>When was <?= ucfirst($model['nickname'])?>'s last broadcast?</h2>

    <?php
    // Check if the timestamp is set
    if (isset($model['updatedOn']) && !empty($model['updatedOn'])) {
        // Convert the timestamp to a readable date
        $lastBroadcastDate = date('F j, Y', $model['updatedOn']);
        $dateDifference = (time() - $model['updatedOn']) / (60 * 60 * 24); // Difference in days

        // Display the date and how recent it is
        echo '<p>' . ucfirst($model['nickname']) . '\'s most recent broadcast was on ' . $lastBroadcastDate . ' (' . round($dateDifference) . ' days ago).</p>';
    } else {
        // Default message if timestamp is not set
        echo '<p>The date of ' . ucfirst($model['nickname']) . '\'s last broadcast is not available at this moment.</p>';
    }
    ?>
</section>

<section class="faq-section">
    <h2>Where is <?= ucfirst($model['nickname'])?> located?</h2>

    <?php if (!empty($model['location'])): ?>
        <p><?= ucfirst($model['nickname'])?> is located in <?= htmlspecialchars($model['location']) ?>, adding a touch of charm and unique character to their shows.</p>
    <?php else: ?>
        <p><?= ucfirst($model['nickname'])?> is based in Europe, bringing a delightful European charm and sophistication to every performance.</p>
    <?php endif; ?>
</section>



        <section class="faq-section">
            <h2>Who is <?= ucfirst($model['nickname'])?> interested in?</h2>
            <p><?= ucfirst($model['nickname'])?> is interested in connecting with a diverse range of people including women, men, couples, and transgender individuals.</p>
        </section>




        <section class="faq-section">
    <h2>When was <?= ucfirst($model['nickname'])?> born?</h2>

    <?php
    // Check if the timestamp is set
    if (isset($model['birthday']) && !empty($model['birthday'])) {
        // Convert the timestamp to a readable date in the format 'F j, Y'
        $birthDate = date('F j, Y', $model['birthday']);
        echo '<p>' . ucfirst($model['nickname']) . ' was born on ' . $birthDate . '.</p>';
    } else {
        // Default message if timestamp is not set
        echo '<p>We don\'t have the birthdate information for ' . ucfirst($model['nickname']) . ' at this point. Please check back later for updates!</p>';
    }
    ?>
</section>



<section class="faq-section">
    <h2>What is <?= ucfirst($model['nickname'])?>'s real name?</h2>

    <?php
    // Check if the real name is set and not the same as the nickname
    if (isset($model['name']) && !empty($model['name']) && strtolower($model['name']) !== strtolower($model['nickname'])):
    ?>
        <p>Real Name: <?= htmlspecialchars($model['name']) ?><br>
           Name on Profile: <?= htmlspecialchars($model['nickname']) ?><br>
           I Feel Like: <?= htmlspecialchars($model['age']) ?><br>
           Gender: <?= htmlspecialchars($model['gender']) ?><br>
           Followers: <?= number_format($model['followers']) ?><br>
           Last Online: <?= date('F j, Y', $model['updatedOn']) ?>
        </p>
        <p>With a real name as unique as <?= htmlspecialchars($model['name']) ?>, <?= ucfirst($model['nickname']) ?> has built a remarkable presence online.</p>
    <?php else: ?>
        <p>Real Name: <?= ucfirst($model['nickname']) ?><br>
           Name on Profile: <?= htmlspecialchars($model['nickname']) ?><br>
           I Feel Like: <?= htmlspecialchars($model['age']) ?><br>
           Gender: <?= htmlspecialchars($model['gender']) ?><br>
           Followers: <?= number_format($model['followers']) ?><br>
           Last Online: <?= date('F j, Y', $model['updatedOn']) ?>
        </p>
        <p>It looks like <?= ucfirst($model['nickname']) ?> has chosen to keep their real name private. However, you can still follow their exciting journey!</p>
    <?php endif; ?>
</section>





<section class="faq-section">
    <h2>What are some popular shows or themes in <?= ucfirst($model['nickname'])?>'s broadcasts?</h2>
    <p><?= ucfirst($model['nickname'])?> delights viewers with a range of exciting themes, including:
        <ul>
            <li>Enchanting themed cosplay adventures</li>
            <li>Interactive role-playing games</li>
            <li>Captivating dance performances</li>
            <li>Creative and playful costume changes</li>
        </ul>
    </p>
</section>




<section class="faq-section">
    <h2>How does <?= ucfirst($model['nickname'])?> interact with fans during live broadcasts?</h2>

    <?php if (isset($model['tags']) && !empty($model['tags'])): ?>
        <p><?= ucfirst($model['nickname'])?> makes their shows unique by incorporating various interactive elements based on their diverse tags. For instance:
            <ul>
                <?php 
                $tags = explode(',', trim($model['tags'], ','));
                $tagDescriptions = [
                    'liveshow' => 'offering engaging live shows with real-time interactions.',
                    'roleplay' => 'performing immersive roleplay scenarios tailored to fan requests.',
                    'video-games' => 'playing popular video games while chatting with fans.',
                    'anal' => 'perfect anal show live sessions and user interactions.',
                    'girls' => 'moist live performance while she is giving you a bonner while utilising all of her favourite parts.'
                ];

                foreach ($tags as $tag) {
                    $tag = trim($tag); // Clean up any extra spaces
                    if (isset($tagDescriptions[$tag])) {
                        echo '<li>' . $tagDescriptions[$tag] . '</li>';
                    }
                }
                ?>
            </ul>
            <?= ucfirst($model['nickname'])?> ensures that every broadcast is tailored to their audience's interests, making each show a distinctive experience.
        </p>
    <?php else: ?>
        <p><?= ucfirst($model['nickname'])?> interacts with fans through real-time chat, personalized shoutouts, and viewer requests.</p>
    <?php endif; ?>
</section>



<section class="faq-section">
    <h2>What makes <?= ucfirst($model['nickname'])?>'s content unique compared to other broadcasters?</h2>

    <?php
    // Define the base search URL
    $searchUrl = 'your_search_url_here'; // Replace with your actual search URL
    
    // Define possible tag descriptions
    $descriptions = [
        'brings exciting moments to every broadcast.',
        'adds an extra layer of fun and creativity.',
        'enhances the experience with unique elements.',
        'brings a fresh perspective to her shows.',
        'makes each broadcast an unforgettable experience.',
        'adds a unique flair to the entertainment.',
        'creates engaging and memorable content.',
        'introduces a special touch that captivates viewers.',
        'adds diversity and excitement to her broadcasts.',
        'elevates the overall experience with distinctive themes.'
    ];

    // Function to get a random description
    function getRandomDescription($descriptions) {
        return $descriptions[array_rand($descriptions)];
    }

    // Get and clean up tags, then limit to 10
    $tags = array_map('trim', explode(',', trim($model['tags'], ',')));
    $tags = array_slice($tags, 0, 10);

    // Check if there are any tags
    if (!empty($tags)): ?>
        <p><?= ucfirst($model['nickname'])?>’s content stands out with unique themes and shows such as:
            <ul>
                <?php foreach ($tags as $tag): ?>
                    <li>
                        <a class="text-description-detail" href="<?= $searchUrl ?>kw=<?= urlencode($tag) ?>">
                            #<?= htmlspecialchars($tag) ?>
                        </a> - <?= ucfirst($tag) ?> <?= getRandomDescription($descriptions) ?>
                    </li>
                <?php endforeach; ?>
            </ul>
        </p>
    <?php else: ?>
        <p><?= ucfirst($model['nickname'])?>’s content is distinguished by high-quality production, engaging interactions, and a diverse range of shows.</p>
    <?php endif; ?>
</section>



<section class="faq-section">
    <h2>Are there any special events or promotions that <?= ucfirst($model['nickname'])?> participates in?</h2>
    <p><?= ucfirst($model['nickname'])?> offers a range of exciting events and promotions that make her webcam shows truly stand out! Here’s what you can look forward to:</p>
    <ul>
        <li><strong>Exclusive Live Show Themes:</strong> <?= ucfirst($model['nickname'])?> hosts live shows with unique themes and interactive elements tailored to her fans’ interests. Don’t miss these exclusive, one-of-a-kind experiences!</li>
        <li><strong>Special Interactive Sessions:</strong> Participate in interactive sessions where <?= ucfirst($model['nickname'])?> engages with her audience in real-time, making each broadcast a personalized and memorable event.</li>
        <li><strong>Fan-Driven Content Requests:</strong> During special events, users can make requests for specific content or themes, allowing <?= ucfirst($model['nickname'])?> to tailor her shows to what you want to see!</li>
        <li><strong>Exclusive Private Shows:</strong> Book private shows for a more intimate and customized experience. These exclusive sessions offer a deeper level of interaction and personalized content.</li>
        <li><strong>Viewer Appreciation Events:</strong> Join in on events where <?= ucfirst($model['nickname'])?> expresses her gratitude to her fans through special performances, shoutouts, and interactive games.</li>
    </ul>
    <p>These unique events and promotions are designed to make your experience with <?= ucfirst($model['nickname'])?> unforgettable. Keep an eye out for announcements and take part in these exciting opportunities to engage with her directly!</p>
</section>

        <section class="faq-section">
    <h2>Can users request specific types of content from <?= ucfirst($model['nickname'])?>?</h2>
    <p>Yes, users can request a wide range of personalized content, including:</p>
    <ul>
        <li><strong>Custom Video Messages:</strong> Request personalized shoutouts or special messages tailored to your preferences.</li>
        <li><strong>Roleplay Scenarios:</strong> Ask for specific roleplay themes or scenarios that align with your interests.</li>
        <li><strong>Live Interaction Requests:</strong> Make special requests during live broadcasts, including specific actions or themes.</li>
        <li><strong>Themed Shows:</strong> Suggest themes for exclusive shows or performances based on your favorite genres or fantasies.</li>
        <li><strong>Private Sessions:</strong> Book one-on-one sessions to interact directly and request personalized content.</li>
        <li><strong>Exclusive Photo Sets:</strong> Request custom photo sets featuring specific outfits, settings, or themes.</li>
        <li><strong>Special Events:</strong> Propose or request special themed events or broadcasts tailored to your interests.</li>
    </ul>
    <p>To make your experience even better, consider showing appreciation with a tip 
         <a class="text-description-detail link" data-turbo="false" href="<?= Avos\User\encodeRoomLink($model); ?>" target="_blank" rel="noopener">Can you get yours from here</a>
        
        </p>. 
    
    <p><?= ucfirst($model['nickname'])?> is dedicated to providing the best content and will be delighted to fulfill your requests. Being kind and understanding of her needs will help ensure a great experience for both of you!</p>
</section>






<?
if (!empty($model['blocked'])): ?>
    <section class="faq-section">
        <h2>Are there any countries where <?= ucfirst($model['nickname'])?>'s content is blocked?</h2>
        <p><?= ucfirst($model['nickname'])?>'s content is currently restricted in the following countries:</p>
        <ul>
            <?php foreach ($model['blocked'] as $c): ?>
                <li><?= $c ?></li>
            <?php endforeach; ?>
        </ul>
    </section>
<?php endif; ?>


<section class="faq-section">
    <a class="modelSeeBio btn btn-grey btn-sm mt10 mb20 full-width adsone media-container" 
       href="<?= Avos\User\encodeRoomLink($model); ?>">
       View <?= ucfirst($model['nickname']) ?> Live Cam
    </a>

    <?php if ($model['subject'] != ''): ?>
        <h2><?= ucfirst($model['nickname']) ?>'s Room Topic live on <a class="text-description-detail link" data-turbo="false" href="<?= Avos\User\encodeRoomLink($model); ?>" target="_blank" rel="noopener"><?= ucfirst($model['site']) ?></a></h2>
        <p><?= htmlspecialchars($model['subject']) ?></p>
    <?php else: ?>
        <p>Discover exciting live shows with <?= ucfirst($model['nickname']) ?>. Join now!</p>
    <?php endif; ?>  
</section>




    </div>